Bug 229870 - Fix race in RemoteRenderingBackend::allowsExitUnderMemoryPressure()
Summary: Fix race in RemoteRenderingBackend::allowsExitUnderMemoryPressure()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-09-03 08:13 PDT by Chris Dumez
Modified: 2021-09-20 10:12 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.13 KB, patch)
2021-09-03 08:16 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (2.08 KB, patch)
2021-09-03 11:27 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (6.90 KB, patch)
2021-09-20 08:45 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2021-09-03 08:13:42 PDT
Fix race in RemoteRenderingBackend::allowsExitUnderMemoryPressure().
Comment 1 Chris Dumez 2021-09-03 08:13:55 PDT
<rdar://82459484>
Comment 2 Chris Dumez 2021-09-03 08:16:06 PDT
Created attachment 437271 [details]
Patch
Comment 3 David Kilzer (:ddkilzer) 2021-09-03 11:26:12 PDT
Comment on attachment 437271 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=437271&action=review

> Source/WebKit/ChangeLog:9
> +        RemoteRenderingBackend::m_remoteResourceCache should can only be used safely from RemoteRenderingBackend's work queue.

Nit typo:  "should can" => "can".
Comment 4 Chris Dumez 2021-09-03 11:27:57 PDT
Created attachment 437287 [details]
Patch
Comment 5 EWS 2021-09-03 12:11:32 PDT
Committed r282011 (241317@main): <https://commits.webkit.org/241317@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437287 [details].
Comment 6 Chris Dumez 2021-09-17 14:20:08 PDT
Reverted r282011 for reason:

This causes GPUProcess main thread hangs on memory pressure

Committed r282693 (241830@main): <https://commits.webkit.org/241830@main>
Comment 7 Chris Dumez 2021-09-20 08:45:53 PDT
Created attachment 438683 [details]
Patch
Comment 8 EWS 2021-09-20 10:12:45 PDT
Committed r282754 (241891@main): <https://commits.webkit.org/241891@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438683 [details].